Package: org.codehaus.groovy.vmplugin.v16

## [Java] Class Java16

- org.codehaus.groovy.vmplugin.v16.Java16

-     public class Java16
      extends Java10

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Java8` | `elementTypeToTarget`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getInvokeSpecialHandle(Method method, Object receiver)`
    `` | `public List<String>` | `getRecordComponentNames(Class<?> maybeRecord)`
    `` | `public int` | `getVersion()`
    `` | `public Object` | `invokeHandle(Object handle, Object[] args)`
    `` | `protected void` | `makeRecordComponents(CompileUnit cu, ClassNode cn, Class<?> c)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Java10` | `getPluginDefaultGroovyMethods, getVersion`
    `class Java9` | `checkAccessible, checkCanSetAccessible, getDefaultImportClasses, getLookupConstructor, getPluginDefaultGroovyMethods, getPrivateLookup, getVersion, newLookup, transformMetaMethod, trySetAccessible`
    `class Java8` | `checkAccessible, checkCanSetAccessible, configureAnnotation, configureAnnotationNodeFromDefinition, configureClassNode, configureTypeVariableDefinition, configureTypeVariableReference, doPrivileged, doPrivileged, fillParameterNames, getInvokeSpecialHandle, getPluginDefaultGroovyMethods, getPluginStaticGroovyMethods, getValue, getVersion, invalidateCallSites, invokeHandle, makeClassNode, makeRecordComponents, newLookup, of, setAdditionalClassInformation, toAnnotationNode, transformMetaMethod, transformMetaMethod, trySetAccessible`

- - ### Method Detail

    - #### @Override
      public Object getInvokeSpecialHandle(Method method, Object receiver)

    - #### @Override
      @Incubating
      public List<String> getRecordComponentNames(Class<?> maybeRecord)

    - #### @Override
      public int getVersion()

    - #### @Override
      public Object invokeHandle(Object handle, Object[] args)

    - #### @Override
      protected void makeRecordComponents(CompileUnit cu, ClassNode cn, Class<?> c)